> ## Documentation Index
> Fetch the complete documentation index at: https://agno-v2-codex-docs-audit-20260719-0149.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Team Card



## OpenAPI

````yaml get /a2a/teams/{id}/.well-known/agent-card.json
openapi: 3.1.0
info:
  title: Agno API Reference
  description: The all-in-one, private, secure agent platform that runs in your cloud.
  version: 2.7.4
servers: []
security: []
paths:
  /a2a/teams/{id}/.well-known/agent-card.json:
    get:
      tags:
        - A2A
      summary: Get Team Card
      operationId: get_team_card_a2a_teams__id___well_known_agent_card_json_get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            title: Id
            type: string
      responses:
        '200':
          description: Team card retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentCard'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthenticatedResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenResponse'
        '404':
          description: Team not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - {}
        - HTTPBearer: []
components:
  schemas:
    AgentCard:
      description: >-
        The AgentCard is a self-describing manifest for an agent. It provides
        essential

        metadata including the agent's identity, capabilities, skills, supported

        communication methods, and security requirements.
      properties:
        additionalInterfaces:
          anyOf:
            - items:
                $ref: '#/components/schemas/A2ACard_AgentInterface'
              type: array
            - type: 'null'
          default: null
          title: Additionalinterfaces
        capabilities:
          $ref: '#/components/schemas/A2ACard_AgentCapabilities'
        defaultInputModes:
          items:
            type: string
          title: Defaultinputmodes
          type: array
        defaultOutputModes:
          items:
            type: string
          title: Defaultoutputmodes
          type: array
        description:
          examples:
            - Agent that helps users with recipes and cooking.
          title: Description
          type: string
        documentationUrl:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Documentationurl
        iconUrl:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Iconurl
        name:
          examples:
            - Recipe Agent
          title: Name
          type: string
        preferredTransport:
          anyOf:
            - type: string
            - type: 'null'
          default: JSONRPC
          examples:
            - JSONRPC
            - GRPC
            - HTTP+JSON
          title: Preferredtransport
        protocolVersion:
          anyOf:
            - type: string
            - type: 'null'
          default: 0.3.0
          title: Protocolversion
        provider:
          anyOf:
            - $ref: '#/components/schemas/A2ACard_AgentProvider'
            - type: 'null'
          default: null
        security:
          anyOf:
            - items:
                additionalProperties:
                  items:
                    type: string
                  type: array
                type: object
              type: array
            - type: 'null'
          default: null
          examples:
            - - oauth:
                  - read
              - api-key: []
                mtls: []
          title: Security
        securitySchemes:
          anyOf:
            - additionalProperties:
                $ref: '#/components/schemas/A2ACard_SecurityScheme'
              type: object
            - type: 'null'
          default: null
          title: Securityschemes
        signatures:
          anyOf:
            - items:
                $ref: '#/components/schemas/A2ACard_AgentCardSignature'
              type: array
            - type: 'null'
          default: null
          title: Signatures
        skills:
          items:
            $ref: '#/components/schemas/A2ACard_AgentSkill'
          title: Skills
          type: array
        supportsAuthenticatedExtendedCard:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          title: Supportsauthenticatedextendedcard
        url:
          examples:
            - https://api.example.com/a2a/v1
          title: Url
          type: string
        version:
          examples:
            - 1.0.0
          title: Version
          type: string
      required:
        - capabilities
        - defaultInputModes
        - defaultOutputModes
        - description
        - name
        - skills
        - url
        - version
      title: AgentCard
      type: object
    UnauthenticatedResponse:
      properties:
        detail:
          type: string
          title: Detail
          description: Error detail message
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
          description: Error code for categorization
      type: object
      required:
        - detail
      title: UnauthenticatedResponse
      example:
        detail: Unauthenticated access
        error_code: UNAUTHENTICATED
    ForbiddenResponse:
      properties:
        detail:
          type: string
          title: Detail
          description: Error detail message
      type: object
      required:
        - detail
      title: ForbiddenResponse
      example:
        detail: Insufficient permissions
    NotFoundResponse:
      properties:
        detail:
          type: string
          title: Detail
          description: Error detail message
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
          description: Error code for categorization
      type: object
      required:
        - detail
      title: NotFoundResponse
      example:
        detail: Not found
        error_code: NOT_FOUND
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    A2ACard_AgentInterface:
      description: >-
        Declares a combination of a target URL and a transport protocol for
        interacting with the agent.

        This allows agents to expose the same functionality over multiple
        transport mechanisms.
      properties:
        transport:
          examples:
            - JSONRPC
            - GRPC
            - HTTP+JSON
          title: Transport
          type: string
        url:
          examples:
            - https://api.example.com/a2a/v1
            - https://grpc.example.com/a2a
            - https://rest.example.com/v1
          title: Url
          type: string
      required:
        - transport
        - url
      title: AgentInterface
      type: object
    A2ACard_AgentCapabilities:
      description: Defines optional capabilities supported by an agent.
      properties:
        extensions:
          anyOf:
            - items:
                $ref: '#/components/schemas/A2ACard_AgentExtension'
              type: array
            - type: 'null'
          default: null
          title: Extensions
        pushNotifications:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          title: Pushnotifications
        stateTransitionHistory:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          title: Statetransitionhistory
        streaming:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          title: Streaming
      title: AgentCapabilities
      type: object
    A2ACard_AgentProvider:
      description: Represents the service provider of an agent.
      properties:
        organization:
          title: Organization
          type: string
        url:
          title: Url
          type: string
      required:
        - organization
        - url
      title: AgentProvider
      type: object
    A2ACard_SecurityScheme:
      anyOf:
        - $ref: '#/components/schemas/A2ACard_APIKeySecurityScheme'
        - $ref: '#/components/schemas/A2ACard_HTTPAuthSecurityScheme'
        - $ref: '#/components/schemas/A2ACard_OAuth2SecurityScheme'
        - $ref: '#/components/schemas/A2ACard_OpenIdConnectSecurityScheme'
        - $ref: '#/components/schemas/A2ACard_MutualTLSSecurityScheme'
      title: SecurityScheme
    A2ACard_AgentCardSignature:
      description: |-
        AgentCardSignature represents a JWS signature of an AgentCard.
        This follows the JSON format of an RFC 7515 JSON Web Signature (JWS).
      properties:
        header:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          default: null
          title: Header
        protected:
          title: Protected
          type: string
        signature:
          title: Signature
          type: string
      required:
        - protected
        - signature
      title: AgentCardSignature
      type: object
    A2ACard_AgentSkill:
      description: Represents a distinct capability or function that an agent can perform.
      properties:
        description:
          title: Description
          type: string
        examples:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          default: null
          examples:
            - - I need a recipe for bread
          title: Examples
        id:
          title: Id
          type: string
        inputModes:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          default: null
          title: Inputmodes
        name:
          title: Name
          type: string
        outputModes:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          default: null
          title: Outputmodes
        security:
          anyOf:
            - items:
                additionalProperties:
                  items:
                    type: string
                  type: array
                type: object
              type: array
            - type: 'null'
          default: null
          examples:
            - - google:
                  - oidc
          title: Security
        tags:
          examples:
            - - cooking
              - customer support
              - billing
          items:
            type: string
          title: Tags
          type: array
      required:
        - description
        - id
        - name
        - tags
      title: AgentSkill
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    A2ACard_AgentExtension:
      description: A declaration of a protocol extension supported by an Agent.
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Description
        params:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          default: null
          title: Params
        required:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          title: Required
        uri:
          title: Uri
          type: string
      required:
        - uri
      title: AgentExtension
      type: object
    A2ACard_APIKeySecurityScheme:
      description: Defines a security scheme using an API key.
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Description
        in:
          $ref: '#/components/schemas/A2ACard_In'
        name:
          title: Name
          type: string
        type:
          const: apiKey
          default: apiKey
          title: Type
          type: string
      required:
        - in
        - name
      title: APIKeySecurityScheme
      type: object
    A2ACard_HTTPAuthSecurityScheme:
      description: Defines a security scheme using HTTP authentication.
      properties:
        bearerFormat:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Bearerformat
        description:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Description
        scheme:
          title: Scheme
          type: string
        type:
          const: http
          default: http
          title: Type
          type: string
      required:
        - scheme
      title: HTTPAuthSecurityScheme
      type: object
    A2ACard_OAuth2SecurityScheme:
      description: Defines a security scheme using OAuth 2.0.
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Description
        flows:
          $ref: '#/components/schemas/A2ACard_OAuthFlows'
        oauth2MetadataUrl:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Oauth2Metadataurl
        type:
          const: oauth2
          default: oauth2
          title: Type
          type: string
      required:
        - flows
      title: OAuth2SecurityScheme
      type: object
    A2ACard_OpenIdConnectSecurityScheme:
      description: Defines a security scheme using OpenID Connect.
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Description
        openIdConnectUrl:
          title: Openidconnecturl
          type: string
        type:
          const: openIdConnect
          default: openIdConnect
          title: Type
          type: string
      required:
        - openIdConnectUrl
      title: OpenIdConnectSecurityScheme
      type: object
    A2ACard_MutualTLSSecurityScheme:
      description: Defines a security scheme using mTLS authentication.
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Description
        type:
          const: mutualTLS
          default: mutualTLS
          title: Type
          type: string
      title: MutualTLSSecurityScheme
      type: object
    A2ACard_In:
      description: The location of the API key.
      enum:
        - cookie
        - header
        - query
      title: In
      type: string
    A2ACard_OAuthFlows:
      description: Defines the configuration for the supported OAuth 2.0 flows.
      properties:
        authorizationCode:
          anyOf:
            - $ref: '#/components/schemas/A2ACard_AuthorizationCodeOAuthFlow'
            - type: 'null'
          default: null
        clientCredentials:
          anyOf:
            - $ref: '#/components/schemas/A2ACard_ClientCredentialsOAuthFlow'
            - type: 'null'
          default: null
        implicit:
          anyOf:
            - $ref: '#/components/schemas/A2ACard_ImplicitOAuthFlow'
            - type: 'null'
          default: null
        password:
          anyOf:
            - $ref: '#/components/schemas/A2ACard_PasswordOAuthFlow'
            - type: 'null'
          default: null
      title: OAuthFlows
      type: object
    A2ACard_AuthorizationCodeOAuthFlow:
      description: Defines configuration details for the OAuth 2.0 Authorization Code flow.
      properties:
        authorizationUrl:
          title: Authorizationurl
          type: string
        refreshUrl:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Refreshurl
        scopes:
          additionalProperties:
            type: string
          title: Scopes
          type: object
        tokenUrl:
          title: Tokenurl
          type: string
      required:
        - authorizationUrl
        - scopes
        - tokenUrl
      title: AuthorizationCodeOAuthFlow
      type: object
    A2ACard_ClientCredentialsOAuthFlow:
      description: Defines configuration details for the OAuth 2.0 Client Credentials flow.
      properties:
        refreshUrl:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Refreshurl
        scopes:
          additionalProperties:
            type: string
          title: Scopes
          type: object
        tokenUrl:
          title: Tokenurl
          type: string
      required:
        - scopes
        - tokenUrl
      title: ClientCredentialsOAuthFlow
      type: object
    A2ACard_ImplicitOAuthFlow:
      description: Defines configuration details for the OAuth 2.0 Implicit flow.
      properties:
        authorizationUrl:
          title: Authorizationurl
          type: string
        refreshUrl:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Refreshurl
        scopes:
          additionalProperties:
            type: string
          title: Scopes
          type: object
      required:
        - authorizationUrl
        - scopes
      title: ImplicitOAuthFlow
      type: object
    A2ACard_PasswordOAuthFlow:
      description: >-
        Defines configuration details for the OAuth 2.0 Resource Owner Password
        flow.
      properties:
        refreshUrl:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Refreshurl
        scopes:
          additionalProperties:
            type: string
          title: Scopes
          type: object
        tokenUrl:
          title: Tokenurl
          type: string
      required:
        - scopes
        - tokenUrl
      title: PasswordOAuthFlow
      type: object
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````